org.deidentifier.arx.test

## Class AbstractAnonymizationTest.ARXAnonymizationTestCase

- java.lang.Object
- - org.deidentifier.arx.test.AbstractAnonymizationTest.ARXAnonymizationTestCase

Enclosing class:
  AbstractAnonymizationTest

    public static class AbstractAnonymizationTest.ARXAnonymizationTestCase
    extends java.lang.Object

Represents a test case.

Author:
  Fabian Prasser, Florian Kohlmayer

### Field Summary

Fields
`java.util.Map<java.lang.String,HierarchyBuilder<?>>` `builders` Hierarchy builders
`ARXConfiguration` `config` Random test variable
`java.lang.String` `dataset` Random test variable
`int` `hashcode` Random test variable
`int` `id` Random test variable
`java.lang.String` `optimalInformationLoss` Random test variable
`int[]` `optimalTransformation` Random test variable
`boolean` `optimizable` Random test variable
`boolean` `practical` Random test variable
`java.lang.String[]` `responseAttributes` Random test variable
`java.lang.String` `sensitiveAttribute` Random test variable
`int[]` `statistics` Random test variable

### Constructor Summary

Constructors
Constructor and Description
`ARXAnonymizationTestCase(ARXConfiguration config, java.lang.String dataset, double optimalInformationLoss, int[] optimalTransformation, boolean practical)` Creates a new instance.
`ARXAnonymizationTestCase(ARXConfiguration config, java.lang.String dataset, double optimalInformationLoss, int[] optimalTransformation, boolean practical, int[] statistics)` Creates a new instance.
`ARXAnonymizationTestCase(ARXConfiguration config, java.lang.String dataset, double optimalInformationLoss, int[] optimalTransformation, boolean practical, java.lang.String[] responseAttributes)` Creates a new instance.
`ARXAnonymizationTestCase(ARXConfiguration config, java.lang.String dataset, java.util.Map<java.lang.String,HierarchyBuilder<?>> hierarchyBuilders, double informationLoss, int[] transformation, boolean practicalMonotonicity)` Creates a new test case with hierarchy builders
`ARXAnonymizationTestCase(ARXConfiguration config, java.lang.String sensitiveAttribute, java.lang.String dataset, double optimalInformationLoss, int[] optimalTransformation, boolean practical)` Creates a new instance.
`ARXAnonymizationTestCase(ARXConfiguration config, java.lang.String sensitiveAttribute, java.lang.String dataset, double optimalInformationLoss, int[] optimalTransformation, boolean practical, int[] statistics, java.lang.String[] responseAttributes)` Creates a new instance.
`ARXAnonymizationTestCase(ARXConfiguration config, java.lang.String dataset, java.lang.String sensitiveAttribute, int hashcode)` Constructor for local recoding tests
`ARXAnonymizationTestCase(ARXConfiguration config, java.lang.String sensitiveAttribute, java.lang.String dataset, java.lang.String optimalInformationLoss, int[] optimalTransformation, boolean practical)` Creates a new instance.
`ARXAnonymizationTestCase(ARXConfiguration config, java.lang.String sensitiveAttribute, java.lang.String dataset, java.lang.String optimalInformationLoss, int[] optimalTransformation, boolean practical, int[] statistics)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    public final int id

Random test variable

#### config

    public ARXConfiguration config

Random test variable

#### dataset

    public java.lang.String dataset

Random test variable

#### sensitiveAttribute

    public java.lang.String sensitiveAttribute

Random test variable

#### responseAttributes

    public java.lang.String[] responseAttributes

Random test variable

#### optimalInformationLoss

    public java.lang.String optimalInformationLoss

Random test variable

#### optimalTransformation

    public int[] optimalTransformation

Random test variable

#### practical

    public boolean practical

Random test variable

#### statistics

    public int[] statistics

Random test variable

#### hashcode

    public int hashcode

Random test variable

#### optimizable

    public boolean optimizable

Random test variable

#### builders

    public java.util.Map<java.lang.String,HierarchyBuilder<?>> builders

Hierarchy builders

### Constructor Detail

#### ARXAnonymizationTestCase

    public ARXAnonymizationTestCase(ARXConfiguration config,
                                    java.lang.String dataset,
                                    double optimalInformationLoss,
                                    int[] optimalTransformation,
                                    boolean practical)

Creates a new instance.

Parameters:
  `config` -
  `dataset` -
  `optimalInformationLoss` -
  `optimalTransformation` -
  `practical` -

#### ARXAnonymizationTestCase

    public ARXAnonymizationTestCase(ARXConfiguration config,
                                    java.lang.String dataset,
                                    double optimalInformationLoss,
                                    int[] optimalTransformation,
                                    boolean practical,
                                    java.lang.String[] responseAttributes)

Creates a new instance.

Parameters:
  `config` -
  `dataset` -
  `optimalInformationLoss` -
  `optimalTransformation` -
  `practical` -
  `responseAttributes` -

#### ARXAnonymizationTestCase

    public ARXAnonymizationTestCase(ARXConfiguration config,
                                    java.lang.String dataset,
                                    double optimalInformationLoss,
                                    int[] optimalTransformation,
                                    boolean practical,
                                    int[] statistics)

Creates a new instance.

Parameters:
  `config` -
  `dataset` -
  `optimalInformationLoss` -
  `optimalTransformation` -
  `practical` -
  `statistics` -

#### ARXAnonymizationTestCase

    public ARXAnonymizationTestCase(ARXConfiguration config,
                                    java.lang.String sensitiveAttribute,
                                    java.lang.String dataset,
                                    double optimalInformationLoss,
                                    int[] optimalTransformation,
                                    boolean practical)

Creates a new instance.

Parameters:
  `config` -
  `sensitiveAttribute` -
  `dataset` -
  `optimalInformationLoss` -
  `optimalTransformation` -
  `practical` -

#### ARXAnonymizationTestCase

    public ARXAnonymizationTestCase(ARXConfiguration config,
                                    java.lang.String sensitiveAttribute,
                                    java.lang.String dataset,
                                    double optimalInformationLoss,
                                    int[] optimalTransformation,
                                    boolean practical,
                                    int[] statistics,
                                    java.lang.String[] responseAttributes)

Creates a new instance.

Parameters:
  `config` -
  `sensitiveAttribute` -
  `dataset` -
  `optimalInformationLoss` -
  `optimalTransformation` -
  `practical` -
  `statistics` -
  `responseAttributes` -

#### ARXAnonymizationTestCase

    public ARXAnonymizationTestCase(ARXConfiguration config,
                                    java.lang.String sensitiveAttribute,
                                    java.lang.String dataset,
                                    java.lang.String optimalInformationLoss,
                                    int[] optimalTransformation,
                                    boolean practical)

Creates a new instance.

Parameters:
  `config` -
  `sensitiveAttribute` -
  `dataset` -
  `optimalInformationLoss` -
  `optimalTransformation` -
  `practical` -

#### ARXAnonymizationTestCase

    public ARXAnonymizationTestCase(ARXConfiguration config,
                                    java.lang.String sensitiveAttribute,
                                    java.lang.String dataset,
                                    java.lang.String optimalInformationLoss,
                                    int[] optimalTransformation,
                                    boolean practical,
                                    int[] statistics)

Creates a new instance.

Parameters:
  `config` -
  `sensitiveAttribute` -
  `dataset` -
  `optimalInformationLoss` -
  `optimalTransformation` -
  `practical` -
  `statistics` -

#### ARXAnonymizationTestCase

    public ARXAnonymizationTestCase(ARXConfiguration config,
                                    java.lang.String dataset,
                                    java.lang.String sensitiveAttribute,
                                    int hashcode)

Constructor for local recoding tests

Parameters:
  `config` -
  `dataset` -
  `sensitiveAttribute` -
  `hashcode` -

#### ARXAnonymizationTestCase

    public ARXAnonymizationTestCase(ARXConfiguration config,
                                    java.lang.String dataset,
                                    java.util.Map<java.lang.String,HierarchyBuilder<?>> hierarchyBuilders,
                                    double informationLoss,
                                    int[] transformation,
                                    boolean practicalMonotonicity)

Creates a new test case with hierarchy builders

Parameters:
  `config` -
  `dataset` -
  `hierarchyBuilders` -
  `informationLoss` -
  `transformation` -
  `practicalMonotonicity` -

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`